Subject: Re: [PATCH v5 13/15] bugreport: add packed object summary

From: Emily Shaffer <[email-masked]>
Date: Tue, 4 Feb 2020 19:09:49 -0800

On Tue, Feb 04, 2020 at 11:03:57AM -0800, Junio C Hamano wrote:
> [email-masked] writes:
> 
> > From: Emily Shaffer <[email-masked]>
> >
> > Alongside the loose object counts, it can be useful to show the number
> > of packs and packed objects. This way we can check whether the repo has
> > an appropriate ratio of packed to loose objects to help determine
> > whether it's behaving correctly.
> 
> This step makes me wonder if we want to see the midx as well.
> Didn't we have a bug that manifests only when midx is (or is not) in
> use?
> 
> Similarly, I think use (or non-use) of the commit graph may also be
> a useful information for diagnosing.
> 

Sure. I'll look into both of these. Would you rather see them as add-ons
later, or do you want me to hold off on a v6 of this set until they're
ready?

 - Emily